<?php
ini_set('display_errors', 'on');

$installerDir = sprintf('%s/installer', dirname(dirname(__DIR__)));
require_once sprintf('%s/vendor/autoload.php', $installerDir);
require_once sprintf('%s/helpers.php', $installerDir);

try
{
    $installer = new \AppInstaller\Installer();
    $installer->setIsUpgrade(true);
    $installer->handleRequest();
}
catch (\Exception $ex)
{
    echo sprintf('ERROR: %s', $ex);
}